<?php
/**
 * Class AdminRegUserEdit - Admin area
 *
 * LICENSE: CREATIVE COMMONS PUBLIC LICENSE  "Namensnennung &#30734;icht-kommerziell 2.0"
 *
 * @copyright  2009 <SEDesign />
 * @license    http://creativecommons.org/licenses/by-nc/2.0/de/
 * @version    $2.0.7$
 * @link       http://www.sedesign.de/de_produkte_chat-v2.html
 * @since      File available since Alpha .0
 */

class AdminRegUserEdit extends DbConectionMaker
{

	/**
	* Constructor
	*
	* @uses ConnectDB::sqlSet()	
	* @uses ConnectDB::close()	
	* @return void
	*/
	public function __construct (){ 
		
		// call parent Constructor from class DbConectionMaker
		parent::__construct(); 

		session_start();

		header('Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0');
		// Sets charset and content-type for index.php
		header('content-type: text/html; charset=utf-8');
		
		// create new LangXml Object
		$langObj = new LangXml();
		$lang=$langObj->getLang()->admin[0]->admin_reg_user[0];
		
		if ($_SESSION['etchat_'.$this->_prefix.'user_priv']=="admin"){

			if (isset($_POST['userids'])){
				$ids=explode(',', $_POST['userids']);
			
				foreach($ids as $id)
					$this->dbObj->sqlSet("UPDATE {$this->_prefix}etchat_user SET etchat_userpw = NULL, etchat_userprivilegien = 'gast' WHERE etchat_user_id=".(int)$id);
			}
			if (isset($_GET['mod']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='mod' WHERE etchat_user_id = ".(int)$_GET['id']);
				
			if (isset($_GET['admin']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='admin' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['vijeh']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='vijeh' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['active']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='active' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['arshad']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='arshad' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['sarparast']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='sarparast' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['user']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='user' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['gadimi']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='gadimi' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['bartar']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='bartar' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['aziz']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='aziz' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['farmandeh']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='farmandeh' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['malake']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='malake' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['kachal']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='kachal' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['moaven']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='moaven' WHERE etchat_user_id = ".(int)$_GET['id']);
				if (isset($_GET['mod-arshad']))
				$this->dbObj->sqlSet("update {$this->_prefix}etchat_user set etchat_userprivilegien='mod-arshad' WHERE etchat_user_id = ".(int)$_GET['id']);




			
			$this->dbObj->close();
			header("Location: ./?AdminRegUserIndex");
			
		}else{
			echo $lang->error[0]->tagData;
			return false;
		}
	}
}